Skip to content
SleepingOwl Framework built on Laravel
PHP JavaScript HTML Vue CSS
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
api
bootstrap
config
database/migrations
framework
public/admin-lte
resources
routes
tests
.gitattributes
.gitignore
.travis.yml
README.md
composer.json
gulpfile.js
helpers.php
package.json
phpunit.xml

README.md

SleepingOwl framework

Build Status Latest Stable Version Scrutinizer Code Quality

SleepingOwl Framework built on Laravel

Requirements

The minimum requirement by Framework is that your Web server supports PHP 7.0.

Documentation

See https://github.com/SleepingOwlAdmin/framework/wiki

Installation

  1. Run composer require sleepingowl/framework
  2. Add ServiceProvider SleepingOwl\Framework\Providers\FrameworkServiceProvider::class to config/app.php
  3. Add require __DIR__.'/../vendor/sleepingowl/framework/bootstrap/app.php'; to public/index.php
  4. Add require __DIR__.'/vendor/sleepingowl/framework/bootstrap/app.php'; to artisan
  5. Run php artisan sleepingowl:install
You can’t perform that action at this time.